Table of contents
-----------------

* Introduction
* Features
* Requirements
* Configuration
* Notes
* References


Introduction
------------

The **Schema.org Blueprints Focal Point** enables focal point for Schema.org
images and generates default image styles for decoupled front-ends.


Features
--------

- Enables focal point for Schema.org images
- Generates default responsive image styles.


Requirements
------------

**[Focal Point](https://www.drupal.org/project/focal_point)**    
Allows users to specify the focal point of an image for use during cropping.


Configuration
-------------

- Go to the Schema.org properties configuration page.  
  (/admin/config/schemadotorg/settings/properties#edit-schemadotorg-focal-point)
- Go to the 'Focal point settings' details.
- Enter focal point images styles for responsive (or decoupled) front-ends.


Notes
-----

- Generate focal point image styles assume that the front-end framework will
  further optimize the image.
- Drupal with focal point is only used for image cropping
- Original images should be horizontal with minimum width of 1600 pixels.


References
----------

- [A Guide to Common Aspect Ratios, Image Sizes, and Photograph Sizes ](https://www.shutterstock.com/blog/common-aspect-ratios-photo-image-sizes)
- [A Complete Guide to Standard Photo Sizes](https://www.adobe.com/my_en/creativecloud/photography/discover/standard-photo-sizes.html)
- [Website Dimensions: These Are The Most Common Screen Resolutions To Design For](https://www.designrush.com/agency/web-development-companies/trends/website-dimensions)
- [Aspect ratio (image) - Wikipedia](https://en.m.wikipedia.org/wiki/Aspect_ratio_(image)#Some_common_examples)
- [Ratio Calculator](https://www.calculatorsoup.com/calculators/math/ratios.php)
