<?php

declare(strict_types = 1);

namespace Drupal\schemadotorg;

/**
 * Interface for devel generate used by Schema.org mapping sets and starter kits.
 */
interface SchemaDotOrgDevelGenerateInterface {

  /**
   * Determine if a mapping set type is valid.
   *
   * @param string $type
   *   A mapping set type (i.e. entity_type_id:SchemaType).
   *
   * @return bool
   *   TRUE if a mapping set type is valid.
   */
  public function isValidType(string $type): bool;

}
